Open CASCADE Technology: DrawDim_PlanarAngle Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
DrawDim_PlanarAngle Class Reference

`#include <DrawDim_PlanarAngle.hxx>`

Inheritance diagram for DrawDim_PlanarAngle:
[legend]

## Public Member Functions
| DrawDim_PlanarAngle (const TopoDS_Face &plane, const TopoDS_Shape &line1, const TopoDS_Shape &line2)
| DrawDim_PlanarAngle (const TopoDS_Shape &line1, const TopoDS_Shape &line2)
void | Sector (const Standard_Boolean inverted, const Standard_Boolean reversed)
void | Position (const Standard_Real value)
void | DrawOn (Draw_Display &dis) const
Public Member Functions inherited from DrawDim_PlanarDimension
void | SetPlane (const TopoDS_Face &plane)
TopoDS_Face | GetPlane () const
Public Member Functions inherited from DrawDim_Dimension
void | SetValue (const Standard_Real avalue)
Standard_Real | GetValue () const
Standard_Boolean | IsValued () const
void | TextColor (const Draw_Color &C)
Draw_Color | TextColor () const
void | DrawText (const gp_Pnt &Pos, Draw_Display &D) const
Public Member Functions inherited from Draw_Drawable3D
virtual Standard_Boolean | PickReject (const Standard_Real X, const Standard_Real Y, const Standard_Real Prec) const
| Returs True if the pick is outside the box. More...
virtual Handle< Draw_Drawable3D > | Copy () const
| For variable copy. More...
virtual void | Dump (Standard_OStream &S) const
| For variable dump. More...
virtual void | Whatis (Draw_Interpretor &I) const
| For variable whatis command. Set as a result the type of the variable. More...
virtual Standard_Boolean | Is3D () const
| Is a 3D object. (Default True). More...
void | SetBounds (const Standard_Real xmin, const Standard_Real xmax, const Standard_Real ymin, const Standard_Real ymax)
void | Bounds (Standard_Real &xmin, Standard_Real &xmax, Standard_Real &ymin, Standard_Real &ymax) const
Standard_Boolean | Visible () const
void | Visible (const Standard_Boolean V)
Standard_Boolean | Protected () const
void | Protected (const Standard_Boolean P)
Standard_CString | Name () const
virtual void | Name (const Standard_CString N)
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from DrawDim_Dimension
| DrawDim_Dimension ()
Protected Member Functions inherited from Draw_Drawable3D
| Draw_Drawable3D ()
Protected Attributes inherited from DrawDim_PlanarDimension
TopoDS_Face | myPlane
Protected Attributes inherited from DrawDim_Dimension
Standard_Boolean | is_valued
Standard_Real | myValue
Draw_Color | myTextColor

## Constructor & Destructor Documentation

DrawDim_PlanarAngle::DrawDim_PlanarAngle | ( | const TopoDS_Face & | plane,
|  | const TopoDS_Shape & | line1,
|  | const TopoDS_Shape & | line2
| ) |  |

DrawDim_PlanarAngle::DrawDim_PlanarAngle | ( | const TopoDS_Shape & | line1,
|  | const TopoDS_Shape & | line2
| ) |  |

## Member Function Documentation

void DrawDim_PlanarAngle::DrawOn | ( | Draw_Display & | dis | ) | const
| virtual

Implements Draw_Drawable3D.

void DrawDim_PlanarAngle::Position | ( | const Standard_Real | value | ) |

void DrawDim_PlanarAngle::Sector | ( | const Standard_Boolean | inverted,
|  | const Standard_Boolean | reversed
| ) |  |

The documentation for this class was generated from the following file:

- DrawDim_PlanarAngle.hxx